#! /usr/bin/env python

text = file('cvrest.data', 'r').read()
declarations = text.split('@@@')
typedefs = []
structs = []
unions = []
enums = []
protos = []
for declaration in declarations:
    declaration = declaration.strip()
    if declaration.startswith('typedef typedefName.0[ '):
        protos.append(declaration)
    elif declaration.startswith('typedef enum '):
        enums.append(declaration)
    elif declaration.startswith('typedef struct '):
        structs.append(declaration)
    elif declaration.startswith('typedef '):
        typedefs.append(declaration)
    else:
        protos.append(declaration)
text = '\n@@@\n'.join(typedefs) + '\n'
file('cvtypedefs.data', 'w').write(text)
text = '\n@@@\n'.join(enums) + '\n'
file('cvenums.data', 'w').write(text)
text = '\n@@@\n'.join(structs) + '\n'
file('cvstructs.data', 'w').write(text)
text = '\n@@@\n'.join(protos) + '\n'
file('cvprotos.data', 'w').write(text)
