#! /usr/bin/env python

from __future__ import generators

import sys, treematch
from linenum import LN

if __name__ == '__main__':
    if len(sys.argv) != 2:
        print >> sys.stderr, 'program takes exactly one agrument'
        sys.exit(-1)
    root = sys.argv[1]
    header_file = root + '.h'
    text = file(root + '.clean', 'r').read()
    top = eval(text)
    templates_file_data = file('CREATORs', 'r').read()
    bigdict = dict()
    counter = 0
    print len(top), 'declarations'
    for extDef, source in top:
        for tup, parents in treematch.walktuple_parents(extDef):
            parents = tuple(parents)
            if not parents in bigdict:
                bigdict[parents] = dict()
            if not counter in bigdict[parents]:
                bigdict[parents][counter] = []
            bigdict[parents][counter].append(tup)
        counter += 1
    keys = bigdict.keys()
    keys.sort()
    print len(keys), 'lists of parents'
    for key in keys:
        if '.' in key[-1]:
            print len(bigdict[key]), key[-1]
            innerkeys = bigdict[key].keys()
            innerkeys.sort()
            for innerkey in innerkeys:
                print '   ', innerkey, bigdict[key][innerkey]
