cdef extern from "tiny.h":

    ctypedef struct cFoo "Foo":
        int i
        float x[2]

    cFoo* make(int i, float x, float y)
    void destroy(cFoo* f)

cdef class Foo:

    cdef cFoo* aa

    def __new__(self, i, y, z):
        self.aa = make(i, y, z)

    def __dealloc__(self):
        destroy(self.aa)

    def getx(self):
        return (self.aa.x[0], self.aa.x[1])

    def setx(self, y, z):
        self.aa.x[0] = y
        self.aa.x[1] = z

    def __str__(self):
        return '<%i %f %f>' % (self.aa.i, self.aa.x[0], self.aa.x[1])
