cdef extern from "tiny.h":
        ctypedef struct c_Tiny "Tiny":
            int iVal

        cdef extern int c_squareit "squareit" (c_Tiny *t)

cdef class Tiny:
    cdef c_Tiny t

    def __init__(self, initial):
        self.t.iVal = initial

    def squareit(self):
        return c_squareit(&self.t)

    def __getattr__(self, name):
        if name=='iVal':
            return self.t.iVal
        return object.__getattribute__(self, name)

    def __setattr__(self, name, val):
        if name=='iVal':
            self.t.iVal = val
        else:
            object.__setattr__(self, name, val)
