#! /usr/bin/env python

lines = file('cvall.h', 'r').read().splitlines()
defs = []
rest = []
for line in lines:
    if line.startswith('#define'):
        defs.append(line)
    elif len(line) > 0:
        rest.append(line)
defs.append('')
rest.append('')
text = '\n'.join(defs)
file('cvdefs.h', 'w').write(text)
text = '\n'.join(rest)
file('cvrest.h', 'w').write(text)
