#! /usr/bin/env python

""" Separates #defines into simple macros and function macros """

lines = file('cvdefs.h', 'r').read().splitlines()
out1 = []
out2 = []
for line in lines:
    words = line.split()
    # In a function macro the '(' must follow the macro name without any space.
    if '(' in words[1]:
        out2.append(line)
    else:
        out1.append(line)
out1.append('')
out2.append('')
text = '\n'.join(out1)
file('cvdefs1.h', 'w').write(text)
text = '\n'.join(out2)
file('cvdefs2.h', 'w').write(text)
