#! /usr/bin/env python

from __future__ import generators
from types import *

def alltuples(parse_tuple, level):
    yield parse_tuple
    for item in parse_tuple:
        if type(item) is TupleType:
            for tup in alltuples(item, level+1):
                yield tup

testtup = ((0,3), ((1,5),2))
for tup in alltuples(testtup, 0):
    print tup
