typedef struct {
} IplImage;

typedef struct {
} CvSize;

typedef struct {
} CvRect;

typedef struct {
} CvMat;

IplImage*  cvCreateImageHeader( CvSize size, int depth, int channels );
IplImage* cvInitImageHeader( IplImage* image, CvSize size, int depth,
                                       int channels, int origin,
                                       int align, int clear);
IplImage*  cvCreateImage( CvSize size, int depth, int channels );
void  cvReleaseImageHeader( IplImage** image );
void  cvReleaseImage( IplImage** image );
IplImage* cvCloneImage( const IplImage* image );
void  cvSetImageCOI( IplImage* image, int coi );
int  cvGetImageCOI( IplImage* image );
void  cvSetImageROI( IplImage* image, CvRect rect );
void  cvResetImageROI( IplImage* image );
CvRect cvGetImageROI( const IplImage* image );
CvMat*  cvCreateMatHeader( int rows, int cols, int type );
